%global namedreltag -alpha-3
%global namedversion %{version}%{?namedreltag}
Name:          emma-maven-plugin
Version:       1.0
Release:       %mkrel 0.a3.1
Summary:       Emma Maven Plugin (MOJO)
Group:         Development/Java
License:       MIT
Url:           http://mojo.codehaus.org/%{name}/
Source0:       http://repo2.maven.org/maven2/org/codehaus/mojo/%{name}/%{namedversion}/%{name}-%{namedversion}-source-release.zip
Patch0:        emma-maven-plugin-mvn3-api.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: mojo-parent

BuildRequires: dom4j
BuildRequires: emma
BuildRequires: jdom
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-shared-reporting-api
BuildRequires: maven-shared-reporting-impl
BuildRequires: plexus-utils
BuildRequires: xalan-j2
BuildRequires: xom
BuildRequires: forge-parent

BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-changes-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-invoker-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-filtering
BuildRequires: maven-enforcer-plugin

Requires:      emma
Requires:      maven
Requires:      maven-doxia-sitetools
Requires:      maven-shared-reporting-api
Requires:      maven-shared-reporting-impl
Requires:      plexus-utils
Requires:      xom

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
EMMA (MOJO) plugin for Maven 2. Measures test code coverage using EMMA.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p0

find \( -name '*.jar' -o -name '*.class' \) -exec rm -f '{}' \;

# FIXME  req emma 2.1.5320 STABLE_2_1_5320
sed -i "s|2.1.5320|2.0.5312|" pom.xml

for d in AUTHORS LICENSE NOTICE TODO ; do
  iconv -f iso8859-1 -t utf-8 $d.txt > $d.txt.conv && mv -f $d.txt.conv $d.txt
  sed -i 's/\r//' $d.txt
done

%build

mvn-rpmbuild install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc AUTHORS.txt LICENSE.txt NOTICE.txt TODO.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Thu Feb 23 2012 gil <gil> 1.0-0.a3.1.mga2
+ Revision: 213591
- fix BR
- adapt to current guidelines
- modified description and summary
- imported package emma-maven-plugin

